############################################################## 
## MOD Title:    ezDownloads
## MOD Author:   HerrBawl < admin@herrbawl.com > (HerrBawl) http://www.herrbawl.com
## MOD Description:  This mod will create a Downloads page that dynamically pulls
##   		 	attachments from posts in specified forums using forum names as 
##			category headers and using the post title as sub categories with
##			all of the attachments in that post listed below it.
## MOD Version: Update from 2.0.0 to 3.0.3
## 
## Installation Level:  Easy
## Installation Time:   ~1 Minute
## Files To Edit: language/lang_english/lang_admin.php,
##		language/lang_english/lang_main.php
## Included Files: ezdloads.php,
##		admin/admin_ezdloads.php,
##		templates/subSilver/ezdloads_indexed_body.tpl,
##		templates/subSilver/ezdloads_none_body.tpl,
##		templates/subSilver/ezdloads_per_page_body.tpl,
##		templates/subSilver/ezdloads_search_body.tpl,
##		templates/subSilver/admin/ezdloads_configs.tpl,
##		templates/subSilver/admin/ezdloads_forums.tpl,
##		templates/subSilver/images/icon_mini_dload.gif
##
############################################################## 
## For Security Purposes, Please Check: http://www.phpbb.com/mods/ for the 
## latest version of this MOD. Downloading this MOD from other sites could cause malicious code 
## to enter into your phpBB Forum. As such, phpBB will not offer support for MOD's not offered 
## in our MOD-Database, located at: http://www.phpbb.com/mods/ 
############################################################## 
## Author Notes: (IMPORTANT) You must have Acyd Burn's Attachment Mod.
##			This document should be used to upgrade ezDownloads from
##			version 2.0.0 to 3.0.3 Make certain that you overwrite
##			the older files with the newer ones during the upload.
##			Also, afterwards you can delete the file
##			templates/subSilver/ezdloads_body.tpl which is no
##			longer used.
## INSTALLATION:
## This MOD has been tested with Acyd Burn's Attachment Mod v 2.3.10 and
## phpBB v 2.0.1x ONLY, so I don't know if it will work with other versions.
############################################################## 
## MOD History:
##	2005-01-06 - v. 3.0.3 Added some intval() and htmlspecialchars()
##				when it grabs get variables, per phpBB Group.
##    2004-12-14 - v. 3.0.2 Recompiled the ZIP file to include all
##				of the necessary files.
##    2004-11-21 - v. 3.0.1 Fixed bug that kept mod from showing
##				any attachments.
##    2004-11-21 - v. 3.0.0 Rewrote MOD to add a few features,
##				including the following:
##				1. The ability to have the downloads page
##				show attachments to the root only or from
##				the whole thread. 
##				2. A choice of three types of pagination,
##				None, Per Page, and an Index. 
##				3. List files from directories, this can
##				include subdirectories. 
##				4. The ability to search through the listed
##				downloads. 
##				5. Setting to have everyone see the Add/View
##				comment link or only those logged in. 
##				6. Admin control panel to handle the settings. 
##				7. Admin control panel to choose which forums
##				the attachments pull from.
##    2004-09-10 - v. 2.0.0 Rewrote MOD to change the look of the 
##				ezdloads.php page. Also removed a few bugs
##				and made it so that it uses the forum name
##				as the category with the post title as a 
##				sub category, and corrected some syntax
##				per the phpBB group.
##    2004-09-07 - v. 1.0.0 Original creation of MOD
############################################################## 
## Before Adding This MOD To Your Forum, You Should Back Up All Files Related To This MOD 
##############################################################
# 
#-----[ SQL ]------------------------------------------ 
#

INSERT INTO `phpbb_config` ( `config_name` , `config_value` ) 
VALUES (
'dload_root', '0'
),(
'dload_pag', '0'
),(
'dload_perpag_num', '20'
),(
'dload_perpag_type', '2'
),(
'dload_folder', '0'
),(
'dload_dir', ''
),(
'dload_comm', '1'
),(
'dload_dir_sub', '0'
),(
'dload_search', '0'
);

ALTER TABLE `phpbb_forums` ADD `dload_check` TINYINT( 1 ) DEFAULT '0' NOT NULL ;

#
#-----[ COPY ]-------------------------------------------------------
#

copy phpbb_root/ezdloads.php to ezdloads.php
copy phpbb_root/admin/admin_ezdloads.php to admin/admin_ezdloads.php
copy phpbb_root/templates/subSilver/ezdloads_indexed_body.tpl to templates/subSilver/ezdloads_indexed_body.tpl
copy phpbb_root/templates/subSilver/ezdloads_none_body.tpl to templates/subSilver/ezdloads_none_body.tpl
copy phpbb_root/templates/subSilver/ezdloads_per_page_body.tpl to templates/subSilver/ezdloads_per_page_body.tpl
copy phpbb_root/templates/subSilver/ezdloads_search_body.tpl to templates/subSilver/ezdloads_search_body.tpl
copy phpbb_root/templates/subSilver/admin/ezdloads_configs_body.tpl to templates/subSilver/admin/ezdloads_configs_body.tpl
copy phpbb_root/templates/subSilver/admin/ezdloads_forums_body.tpl to templates/subSilver/admin/ezdloads_forums_body.tpl
copy phpbb_root/templates/subSilver/images/icon_mini_dload.gif to templates/subSilver/images/icon_mini_dload.gif

# 
#-----[ OPEN ]------------------------------------------ 
#

language/lang_english/lang_main.php

# 
#-----[ FIND ]------------------------------------------ 
# 

// ezDownloads MOD
$lang['File_Name'] = 'File Name';
$lang['File_Description'] = 'File Description';
$lang['Uploaded_On'] = 'Uploaded';
$lang['Download_Count'] = 'Downloaded';
$lang['View_File_Comments'] = 'Comments';
$lang['Add_File_Comments'] = 'Add/View';
$lang['Downloads'] = 'Downloads Page';
$lang['Download'] = 'Downloads';
$lang['No_Downloads'] = 'No Downloads Are Currently Available';


# 
#-----[ AFTER, ADD ]------------------------------------------ 
# 

$lang['Download_Search_Result'] = 'Search Results For ';
$lang['Download_Search_Att'] = 'From Attachments';
$lang['Download_Search_Fld'] = 'From Folder';
$lang['File_Size'] = 'File Size';
$lang['Available_Attachs'] = 'Other Files Available For Download';
$lang['Download_Search_Explain'] = 'Search available downloads for';
$lang['Download_Search'] = 'Search';
$lang['DL_Previous'] = 'Previous';
$lang['DL_Next'] = 'Next';

# 
#-----[ OPEN ]------------------------------------------ 
#

language/lang_english/lang_admin.php

# 
#-----[ FIND ]------------------------------------------ 
# 

//
// That's all, Folks!
// -------------------------------------------------

# 
#-----[ BEFORE, ADD ]------------------------------------------ 
# 

// ezDownloads MOD
$lang['Downloads'] = 'Downloads';
$lang['DL_Select_Forum'] = 'Forum Selection';
$lang['DL_Config_Title'] = 'Download Configuration Settings';
$lang['DL_Root_Title'] = 'Download Search Depth';
$lang['DL_Root_Explain'] = 'Determines whether the downloads page searches only the root of the thread or all of the replies as well.';
$lang['DL_Root_Replies'] = 'Include Replies';
$lang['DL_Root_Only'] = 'Root Only';
$lang['DL_Reset'] = 'Reset Form';
$lang['DL_Config_Update'] = 'Update Configuration';
$lang['DL_Forums_Update'] = 'Update Forum Selections';
$lang['DL_Config_Update_Status'] = 'Updating Configuration';
$lang['DL_Forums_Update_Status'] = 'Updating Forum Selections';
$lang['DL_Forums_Title'] = 'Download Forum Selections';
$lang['DL_Forums_Explain'] = 'Choose which forums will be searched for attachments to show on the downloads page.';
$lang['DL_Forum_Check'] = 'Include?';
$lang['DL_Forum_Name'] = 'Forum Name';
$lang['DL_Forum_None'] = 'No Forums Found';
$lang['DL_Pag_None'] = 'None';
$lang['DL_Pag_Per_Page'] = 'Per Page';
$lang['DL_Pag_Indexed'] = 'Indexed';
$lang['DL_Pag_Title'] = 'Pagination Style';
$lang['DL_Pag_Explain'] = 'Determines the style of pagination used on the downloads page.<br /><i>' . $lang['DL_Pag_None'] . '</i>: No pagination is used.<br /><i>' . $lang['DL_Pag_Per_Page'] . '</i>: A certain amount of downloads are shown per page.<br /><i>' . $lang['DL_Pag_Indexed'] . '</i>: Downloads are presented on an indexed page.';
$lang['DL_Comm_Title'] = 'Comment Visibility';
$lang['DL_Comm_Explain'] = 'Determines whether the Add/View comment is visible to everyone or just those logged in.';
$lang['DL_Comm_Logged'] = 'Logged In';
$lang['DL_Comm_All'] = 'Everyone';
$lang['DL_PerPag_Title'] = '\'Per Page\' Pagination Settings';
$lang['DL_PerPag_Explain'] = 'Determines how many downloads will appear per page. You can set it to a number of Categories, Sub-Categories, or Downloads per page.<br /><b>NOTE</b>: Only has an effect if Pagination Style is set to \'Per Page\'';
$lang['DL_PerPag_After'] = 'per Page';
$lang['DL_PerPag_Cat'] = 'Categories';
$lang['DL_PerPag_SubCat'] = 'Sub-Categories';
$lang['DL_PerPag_DL'] = 'Downloads';
$lang['DL_Folder_Title'] = 'Show Downloads From Directory';
$lang['DL_Folder_Explain'] = 'If set to Enabled it will grab all the files found in the specified directory.';
$lang['DL_Folder_Enabled'] = 'Enabled';
$lang['DL_Folder_Disabled'] = 'Disabled';
$lang['DL_Folder_Dir_Title'] = 'Downloads Directory Setting';
$lang['DL_Folder_Dir_Explain'] = 'Enter the directory that you want it to check for files in.<br />This needs to be relative to the folder that you have ezdloads.php in with no trailing /<br /><b>NOTE</b>: This will only be used if \'Show Downloads From Directory\' is set to Enabled.';
$lang['DL_Folder_Dir_Sub'] = 'Include Subdirectories?';
$lang['DL_Search_Title'] = 'Download Searching';
$lang['DL_Search_Explain'] = 'Determines whether or not searching the downloads is available or not.';
$lang['DL_Search_Allow'] = 'Allow';
$lang['DL_Search_Disallow'] = 'Disallow';

# 
#-----[ SAVE/CLOSE ALL FILES ]------------------------------------------ 
# 
# EoM 